=== debian/changelog ===
ros-crystal-py-trees-msgs (0.4.3-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 03 Feb 2019 01:37:23 -0000
