=== debian/control ===
Source: ros-crystal-py-trees-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-lint-common, ros-crystal-rosidl-default-generators, ros-crystal-std-msgs, ros-crystal-unique-identifier-msgs, ros-crystal-ros-workspace, ros-crystal-rmw-connext-cpp, ros-crystal-rmw-fastrtps-cpp, ros-crystal-rmw-implementation, ros-crystal-rmw-opensplice-cpp, ros-crystal-rosidl-typesupport-connext-c, ros-crystal-rosidl-typesupport-connext-cpp, ros-crystal-rosidl-typesupport-opensplice-c, ros-crystal-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/py_trees_msgs
Standards-Version: 3.9.2

Package: ros-crystal-py-trees-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rosidl-default-runtime, ros-crystal-std-msgs, ros-crystal-unique-identifier-msgs, ros-crystal-ros-workspace
Description: Messages used by py_trees_ros and some extras for the mock demos/tests.
